| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkDebug::TestClassObserverInformation Class Referencefinal

Information provided during a TestClass run. More...

## Public Member Functions
| TestClassObserverInformation () noexcept
nkMemory::StringView | getName () const
unsigned int | getClassTotalFunctionCount () const
unsigned int | getClassFilteredFunctionCount () const
void | setName (nkMemory::StringView value)
void | setClassTotalFunctionCount (unsigned int value)
void | setClassFilteredFunctionCount (unsigned int value)

## Detailed Description

Information provided during a TestClass run.

## Constructor & Destructor Documentation

## ◆ TestClassObserverInformation()

nkDebug::TestClassObserverInformation::TestClassObserverInformation | ( |  | ) |
| noexcept

Default constructor.

## Member Function Documentation

## ◆ getName()

nkMemory::StringView nkDebug::TestClassObserverInformation::getName | ( |  | ) | const

Returns
  The TestClass' attached name.

## ◆ getClassTotalFunctionCount()

unsigned int nkDebug::TestClassObserverInformation::getClassTotalFunctionCount | ( |  | ) | const

Returns
  The total count of functions inside the class.

## ◆ getClassFilteredFunctionCount()

unsigned int nkDebug::TestClassObserverInformation::getClassFilteredFunctionCount | ( |  | ) | const

Returns
  The total count of functions selected after filtering.

## ◆ setName()

void nkDebug::TestClassObserverInformation::setName | ( | nkMemory::StringView | value | ) |

Sets the name of the TestClass calling.

Parameters

  value | The value to set.

## ◆ setClassTotalFunctionCount()

void nkDebug::TestClassObserverInformation::setClassTotalFunctionCount | ( | unsigned int | value | ) |

Sets the number of functions inside the class.

Parameters

  value | The value to set.

## ◆ setClassFilteredFunctionCount()

void nkDebug::TestClassObserverInformation::setClassFilteredFunctionCount | ( | unsigned int | value | ) |

Sets the number of functions selected after filtering.

Parameters

  value | The value to set.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsDebug/Testing/Observers/TestClassObserverInformation.h